package core.process;

import core.operation.Operation;

public abstract class Process{

    private String status;

    private String permission;
    private Operation operation;


    protected abstract boolean check();
    public String getPermission() {
        return permission;
    }

    public void setPermission(String permission) {
        this.permission = permission;
    }

    public Operation getOperation() {
        return operation;
    }

    public void setOperation(Operation operation) {
        this.operation = operation;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public abstract String getInfo();

    public abstract String getTargetURL();

    public abstract String getIconURL();

    public abstract String getButtonName();
}
